• Crear nueva cuenta
  • Reinicializar su contraseña

Main navigation

  • API
  • Precios
  • Preguntas frecuentes
  • Contactos

User account menu

  • Iniciar sesión

Desktop menu

  • API
  • Precios
  • Preguntas Frecuentes
  • Contactos
Inicio

Nobotiq API

API for spam detection in text and email content

Autentificación

Nobotiq API uses OAuth2 for authentication. To access most endpoints, you need an access token.

1. Getting an Access Token

curl -X POST https://nobotiq.com/esoauth/token \
 -H "Content-Type: application/x-www-form-urlencoded" \
 --data-urlencode "grant_type=password" \
 --data-urlencode "client_id=YOUR_CLIENT_ID" \
 --data-urlencode "client_secret=YOUR_CLIENT_SECRET" \
 --data-urlencode "username=YOUR_USERNAME" \
 --data-urlencode "password=YOUR_PASSWORD"

2. Refreshing a Token

curl -X POST https://nobotiq.com/esoauth/token \
 -H "Content-Type: application/x-www-form-urlencoded" \
 --data-urlencode "grant_type=refresh_token" \
 --data-urlencode "client_id=YOUR_CLIENT_ID" \
 --data-urlencode "client_secret=YOUR_CLIENT_SECRET" \
 --data-urlencode "refresh_token=YOUR_REFRESH_TOKEN"

Functional Endpoints

POST/api/v1/spam/mail

Check email for spam

Validates and checks if an email address is spam

Request Body (JSON)
PropertyTypeDescription
email*stringEmail address to check for spam
Example cURL
curl -X POST https://nobotiq.com/esapi/v1/spam/mail \
 -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
 -H "Content-Type: application/json" \
 -d '{
    "email": "test@example.com"
}'
POST/api/v1/spam/text

Check text content for spam

Analyzes text content (title, body, and optional subtitle) for spam using AI detection

Request Body (JSON)
PropertyTypeDescription
title*stringTitle of the content to check
body*stringBody content to check for spam
sub_titlestringOptional subtitle of the content
Example cURL
curl -X POST https://nobotiq.com/esapi/v1/spam/text \
 -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
 -H "Content-Type: application/json" \
 -d '{
    "title": "Amazing product offer!",
    "body": "This is the main content of the message...",
    "sub_title": "Limited time offer"
}'
POST/api/v1/spam/hybrid-check

Hybrid spam checker for text and email

Simultaneously checks both text content and email for spam. Supports step-by-step checking where email is checked first, and if spam is detected, text checking may be skipped.

Headers
NameTypeDescription
X-Internal-Step-By-StepbooleanEnable step-by-step checking. If true and email is spam, only email results are returned.
Request Body (JSON)
PropertyTypeDescription
title*stringTitle of the content to check
body*stringBody content to check for spam
sub_titlestringOptional subtitle of the content
email*stringEmail address to check for spam
Example cURL
curl -X POST https://nobotiq.com/esapi/v1/spam/hybrid-check \
 -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
 -H "Content-Type: application/json" \
 -H "X-Internal-Step-By-Step: " \
 -d '{
    "title": "Amazing product offer!",
    "body": "This is the main content of the message...",
    "sub_title": "Limited time offer",
    "email": "test@example.com"
}'

Información legal

  • FAQ
  • API
  • Precios
  • Términos de Uso
  • Política de Privacidad

Nobotiq es una solución inteligente de protección para sitios web que detiene bots, spam y abusos antes de que lleguen a tu sitio.
Configuración sencilla, protección confiable y una experiencia fluida para los usuarios reales.

Copyright © 2026 NoBotIQ - All rights reserved